package com.sw.mes.yb.mcs.event;

import com.sw.mes.yb.plan.dto.PlanWaterLineManageToWmsDto;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;




 /**
 * @author zhaoyayun
  * 订单水位信息下发事件
 **/
@Getter
public class PlanWaterLineManageToWmsEvent extends ApplicationEvent {
    PlanWaterLineManageToWmsDto planWaterLineManageToWmsDto;
    public PlanWaterLineManageToWmsEvent(Object source, PlanWaterLineManageToWmsDto planWaterLineManageToWmsDto) {
        super(source);
        if (planWaterLineManageToWmsDto==null){
            throw new IllegalArgumentException("null planWaterLineManageToWmsDto");
        }
        this.planWaterLineManageToWmsDto=planWaterLineManageToWmsDto;
    }
}
